hOpenPGP-2.5.5: native Haskell implementation of OpenPGP (RFC4880)

Safe Haskell | None
Language | Haskell2010

Data.Conduit.OpenPGP.Keyring.Instances

Contents

- Orphan instances

# Orphan instances

Ord SignaturePayload Source # |

Methods

compare :: SignaturePayload -> SignaturePayload -> Ordering #

(<) :: SignaturePayload -> SignaturePayload -> Bool #

(<=) :: SignaturePayload -> SignaturePayload -> Bool #

(>) :: SignaturePayload -> SignaturePayload -> Bool #

(>=) :: SignaturePayload -> SignaturePayload -> Bool #

max :: SignaturePayload -> SignaturePayload -> SignaturePayload #

min :: SignaturePayload -> SignaturePayload -> SignaturePayload #

Semigroup TK Source # |
Methods (<>) :: TK -> TK -> TK # sconcat :: NonEmpty TK -> TK # stimes :: Integral b => b -> TK -> TK #
Indexable KeyringIxs TK Source # |
Methods indices :: IxList KeyringIxs TK #